For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve An Event

Retrieves the details of an event. The event’s id that was returned upon retrieving all events is required for identifying the exact one to be retrieved.

/v1/events/:id

GET https://api.uiza.sh/v1/events/:id

Path Parameters

Name
Type
Description

id

string

The identifier of the event to be retrieved.

{
    "id": "f9d19d3a-3130-49ab-9e46-21cb8fd58464",
    "object": "event",
    "api_version": "v1",
    "created_at": "2020-03-23T08:13:55.373Z",
    "data": {
        "object": {
            "live_entity": {
                "id": "6b420f9e-0b95-4fa9-a1e2-31adde94fc9a",
                "user_id": "5a452009-6b76-464d-b71e-e819af452f34",
                "app_id": "c1ffbff4db954ddcb050c6af0b43ba56",
                "name": "Demo live event",
                "description": "AFF CUP",
                "ingest": {
                    "url": "rtmp://6b420ffc9a-in.streamwiz.dev/live",
                    "key": "live_XUapuHLGhm"
                },
                "playback": {
                    "hls": "https://6b420ffc9a.streamwiz.dev/live/6b420f9e-0b95-4fa9-a1e2-31adde94fc9a/master.m3u8"
                },
                "relay": [],
                "region": "in-bangalore-1",
                "status": "ready",
                "dvr": false,
                "encode": false,
                "deleted": false,
                "preset": null,
                "created_at": "2020-03-19T07:12:25.000Z",
                "updated_at": "2020-03-23T08:13:55.000Z"
            },
            "live_session": null,
            "video_entity": null,
            "retry_count": 0
        }
    },
    "type": "live_entities.ready",
    "request_id": ""
}

Last updated